%define name gabber
%define version 0.8.2
%define release 2mdk

Summary: Gabber is a GNOME client for an Open Source instant messaging system named Jabber.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://download.sourceforge.net/gabber/%{name}-%{version}.tar.bz2
Source1: %{name}_icons.tar.bz2
Source2: gabber_french.po.bz2
# (fc) 0.8.2-1mdk remove warning for gcc 2.96
Patch0: gabber-0.8.2-gcc296.patch.bz2
Copyright: GPL
Group: Networking/Instant messaging
Url: http://gabber.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gnomemm-devel libgal-devel libglade-devel libsigc++-devel gnupg openssl-devel
BuildRequires: libgtkmm1.2-devel
Prefix: %{_prefix}
Requires: scrollkeeper gnupg

%description
Gabber is a GNOME client for an Open Source instant messaging system named Jabber.
Jabber is an Open Source distributed instant messaging system. It does not rely
on a single server, and the protocol is well documented. Jabber allows communication 
with many different instant messaging systems, including ICQ and AIM. There are
several different Jabber clients already, but no other GNOME clients as of this writing. 
Hopefully Gabber will serve the purpose of being a robust GNOME Jabber client well.

%prep

%setup -q
%patch0 -p 1 -b .gcc296

bzcat %{SOURCE1} | tar xf -
bzcat %{SOURCE2} > po/fr.po

# fix to build with gcc 2.96
autoconf

%build

%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
needs="x11" \
section="Networking/Instant messaging" \
title="Gabber" \
longtitle="Gnome client for Jabber Open Source instant messaging system" \
command="%{_bindir}/%{name}" \
icon="%{name}.xpm"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir}
(cd $RPM_BUILD_DIR/%{name}-%{version}
install -m 644 %{name}_16.xpm $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
install -m 644 %{name}_32.xpm $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
install -m 644 %{name}_48.xpm $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm
)

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus} 
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi

%postun
%{clean_menus}
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ABOUT-NLS ChangeLog NEWS README TODO
%config(noreplace) %{_sysconfdir}/sound/events/*
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/sounds/*
%{_datadir}/gnome/help/*
%{_datadir}/gnome/apps/Internet/*
%{_datadir}/%{name}
%{_datadir}/omf/*

%{_menudir}/*
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm


%changelog
* Fri Mar 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.2-2mdk
- Correct BuildRequires

* Thu Mar 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.2-1mdk
- Release 0.8.2
- Add updated french translation
- Patch 0 to remove gcc 2.96 warning

* Wed Feb 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-2mdk
- rebuild against last gnomemm

* Thu Jan 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-1mdk
- Release 0.8.1

* Fri Jan 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.0-1mdk
- Release 0.8.0
- Build now with gcc 2.96
- Add missing files
- Embed menu entry in specfile

* Tue Sep 26 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.0-3mdk
- Menu title should begin with Capital letter 

* Fri Sep  1 2000 Vincent Saugey <vince@mandrakesoft.com> 0.7.0-2mdk
- Rebuild for next release

* Thu Aug  3 2000 Vincent Saugey <vince@mandrakesoft.com> 0.7.0-1mdk
- First mdk release
